package gvprojects.igel.model;

/**
 * A {@link Cell} that represents a concrete block obstacle:  Nobody can enter.
 * @author Zachary Kurmas
 */
// Created  12/8/11 at 4:59 PM
// (C) Zachary Kurmas 2011

class ConcreteBlock extends Cell {
   /**
    * Constructor
    *
    * @param row    the row to which this Cell is assigned
    * @param column the column to which this Cell is assigned
    * @param game   the game
    * @throws IllegalArgumentException if {@code game == null)}
    */
   public ConcreteBlock(int row, int column, IgelGameKurmas game) {
      super(row, column, game);
   }

   @Override
   public boolean canEnter(int player) {
      return false;
   }

   @Override
   public boolean canLeave() {
      return false;
   }

   @Override
   public String type() {
      return "ConcreteBlock";
   }
}



