package gvprojects.igel.model;

import java.util.Random;

/**
 * A simple implementation of a die.
 *
 * @author Zachary Kurmas
 */
// Created  12/1/11 at 1:43 PM
// (C) Zachary Kurmas 2011

class Die {

   private int numSides;
   private Random r;
   private int currentValue;

   /**
    * Constructor
    * @param numSides number of sides on the die.
    * @param r a {@code Random} object
    */
   public Die(int numSides, Random r) {
      this.numSides = numSides;
      this.r = r;
      roll();
   }

   /**
    * Roll the die.
    */
   public void roll() {
      currentValue = r.nextInt(numSides) + 1;
   }

   /**
    * Return the current die value.
    * @return the current die value.
    */
   public int getValue() {
      return currentValue;
   }

   /**
    * Return the number of sides.
    * @return the number of sides.
    */
   public int numSides() {
      return numSides;
   }


   public void setValue(Integer rollValue) {
      currentValue = rollValue;
   }
}
