package gvprojects.igel.model;

/**
 * The cells at the finish line.  Hedgehogs can enter, but not leave these cells.
 * @author Zachary Kurmas
 */
// Created  12/8/11 at 3:59 PM
// (C) Zachary Kurmas 2011

class FinishCell extends Cell {


   /**
    * Constructor
    *
    * @param row    the row to which this Cell is assigned
    * @param column the column to which this Cell is assigned
    * @param game   the game
    * @throws IllegalArgumentException if {@code game == null)}
    */
   public FinishCell(int row, int column, IgelGameKurmas game) {
      super(row, column, game);
   }

   @Override
   public boolean canEnter(int player) {
      return true;
   }

   @Override
   public boolean canLeave()
   {
      return false;
   }

   @Override
   public String type() {
      return "FinishCell";
   }

}
