package gvprojects.igel.model;

/**
 * A "normal" Igel Argern cell that hedgehogs pass through normally.  They may enter an leave at will.
 * @author Zachary Kurmas
 */
// Created  12/12/11 at 2:44 PM
// (C) Zachary Kurmas 2011

class NormalCell extends Cell {

   /**
    * Constructor
    *
    * @param row    the row to which this Cell is assigned
    * @param column the column to which this Cell is assigned
    * @param game   the game
    * @throws IllegalArgumentException if {@code game == null)}
    */
   public NormalCell(int row, int column, IgelGameKurmas game) {
      super(row, column, game);
   }

   /**
    * Returns {@code true} if the given player may enter the cell.
    *
    * @param player the player
    * @return {@code true} if the given player may enter the cell.
    */
   public boolean canEnter(int player) {
      return true;
   }

   /**
    * Returns {@code true} if the given player may leave the cell.
    *
    * @return {@code true} if the given player may leave the cell.
    */
   public boolean canLeave() {
      return true;
   }


   @Override
   public String type() {
      return "Cell";
   }
}
