package gvprojects.igel.presenter;

import edu.gvsu.kurmasz.warszawa.dl.SimpleFactory;
import gvprojects.igel.config.IgelConfigKurmas;
import gvprojects.igel.model.IIgelGame;
import gvprojects.igel.model.IgelGameParameters;
import gvprojects.igel.view.Artist;
import gvprojects.igel.view.IgelViewKurmas;

import javax.swing.*;
import java.util.Map;

/**
 * Configures and launches an gvprojects.igel.IgelArgern game using either the simple or complex presenter
 *
 * @author Zachary Kurmas
 */
// Created  2/14/12 at 1:39 PM
// (C) Zachary Kurmas 2012

public class IgelArgernLauncher {

   public static void configureAndLaunchGame(final IgelGameParameters parameters,
                                             final Class<? extends IIgelGame> gameClass,
                                             final Map<String, Artist> artistMap) {


      IgelConfigKurmas.GameLauncher launcher = new IgelConfigKurmas.GameLauncher() {
         public void launch(final IgelConfigKurmas config) {

            if (config.getSelectedFile() != null) {
               JOptionPane.showMessageDialog(null, "This demo cannot load a config from a file.", "Not ready yet.",
                     JOptionPane.WARNING_MESSAGE);
               configureAndLaunchGame(config.getParameters(), gameClass, artistMap);
               return;
            }

            //IIgelGame game = factory.make(config.getParameters());
            IIgelGame game = SimpleFactory.makeOrQuit(gameClass.getName(), IIgelGame.class, config.getParameters());
            final IgelViewKurmas view = new IgelViewKurmas(game.getState(), artistMap);
            class EndListener implements IgelArgernClickOnly.GameEndListener,
                  IgelArgernFullPresenter.GameEndListener {
               public void finished() {
                  view.close();
                  configureAndLaunchGame(config.getParameters(), gameClass, artistMap);
               }
            }
            EndListener endListener = new EndListener();
            switch (config.presenterType()) {
               case SIMPLE:
                  new IgelArgernClickOnly(view, game, endListener);
                  break;
               case COMPLEX:
                  new IgelArgernFullPresenter(view, game, endListener);
                  break;
            }
         }
      };
      new IgelConfigKurmas(parameters, launcher);
   }
}
