package gvprojects.igel.presenter;

import gvprojects.igel.model.IIgelGame;
import gvprojects.igel.model.IgelGameKurmas;
import gvprojects.igel.model.IgelGameParameters;
import gvprojects.igel.view.IIgelView;
import gvprojects.igel.view.IgelViewKurmas;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Partial presenter code demonstrating how to "wire up" the "pass sideways move" button
 *
 * @author Zachary Kurmas
 */
// Created  1/4/12 at 4:49 PM
// (C) Zachary Kurmas 2012

public class MVPDemoSidewaysButton {

   private IIgelView view;
   private IIgelGame game;

   public MVPDemoSidewaysButton() {
      game = new IgelGameKurmas(new IgelGameParameters());
      view = new IgelViewKurmas(game.getState());

      view.addPassSidewaysMovePressedListener(new ActionListener() {
         public void actionPerformed(ActionEvent actionEvent) {
            sidewaysButtonPressed();
         }
      });
   }

   private void sidewaysButtonPressed() {
      game.passSidewaysMove();
      view.update(game.getState());
   }

   public static void main(String[] args) {
      new MVPDemoSidewaysButton();
   }
}
