package gvprojects.igel.view;

import gvprojects.igel.model.ICellState;

import java.awt.*;

/**
 * An {@code Artist} draws the {@code Cell} in the GUI.
 *
 * @author Zachary Kurmas
 */
// Created  11/22/11 at 2:20 PM
// (C) Zachary Kurmas 2011

public interface Artist {

   public static final Color[] HEDGEHOG_COLORS = {Color.red,
         Color.yellow, Color.blue, Color.green, Color.orange,
         Color.lightGray, Color.magenta, Color.cyan, Color.pink};

   /**
    * Draw this cell
    *
    * @param panel The panel representing the cell
    * @param g     The {@link Graphics} object with which to draw
    * @param state The current state of the cell.
    */
   void draw(CellPanel panel, Graphics g, ICellState state);
}
