package gvprojects.igel.view;

import javax.swing.*;
import java.awt.event.ActionListener;

/**
 * Builds a simple menu for an IgelArgern view
 *
 * @author Zachary Kurmas
 */
// Created  2/15/12 at 1:26 PM
// (C) Zachary Kurmas 2012

public class DefaultIgelMenu {

   private JMenuBar menuBar;
   private JMenuItem restart;
   private JMenuItem exit;
   private JMenuItem about;

   public DefaultIgelMenu() {
      makeMenu();
   }

   private void makeMenu() {
      menuBar = new JMenuBar();
      JMenu file = new JMenu("File");

      restart = new JMenuItem("Restart");
      exit = new JMenuItem("Exit");
      file.add(restart);
      file.add(exit);


      about = new JMenuItem("About");

      menuBar.add(file);
      menuBar.add(about);
   }


   /**
    * Add a listener for the exit menu option.
    *
    * @param listener the listener
    */
   public void addExitListener(ActionListener listener) {
      exit.addActionListener(listener);
   }


   /**
    * Add a listener for the restart menu option.
    *
    * @param listener the listener
    */
   public void addRestartListener(ActionListener listener) {
      restart.addActionListener(listener);
   }


   /**
    * Add a listener for the restart menu option.
    *
    * @param listener the listener
    */
   public void addAboutListener(ActionListener listener) {
      about.addActionListener(listener);
   }

   /**
    * return the default menu bar
    *
    * @return the default {@code JMenuBar}
    */
   public JMenuBar getMenuBar() {
      return menuBar;
   }

   /**
    * Get permission for an activity (reset, quit, etc)
    *
    * @param question the question to ask
    *
    * @return {@code true} if the answer was "Yes", {@code false} otherwise
    */
   public static boolean getPermission(String question) {
      int answer = JOptionPane.showConfirmDialog(null, question, "Are you sure?",
            JOptionPane.YES_NO_OPTION);
      return answer == JOptionPane.YES_OPTION;
   }
}
